Skip to content

Update a project

Updates project fields. Omit a field to leave it unchanged. At least one field must be provided.

PATCH /api/v1/projects/{id}

AuthRequired
Query parametersNone
NameTypeDescription
idstringProject id
Authorization: Bearer <your-api-key>
Content-Type: application/json

All fields optional; send only what you want to change:

{
"name": "My mobile app (renamed)",
"baseLanguage": "en-US",
"translationLanguages": ["de-DE", "es-ES"]
}
FieldTypeDescription
namestring | nullNew name (3–32 characters)
baseLanguagestring | nullNew base locale
translationLanguagesstring[] | nullFull replacement list of target locales
Terminal window
curl -sS -X PATCH https://collingo.app/api/v1/projects/clproj0123456789abcdefgh \
-H "Authorization: Bearer <your-api-key>" \
-H "Content-Type: application/json" \
-d '{"name": "My mobile app (renamed)"}'

Returns the updated Project object (same shape as Get a project).

StatusWhen
400Validation failed or nothing to update
401Missing or invalid API key (ERR_UNAUTHORIZED)
403Insufficient role (ERR_FORBIDDEN)
404Project not found (ERR_PROJECT_NOT_FOUND)
500Database or internal error